Subject: RE: [mobile-ip] draft-ietf-mobileip-lmm-requirements-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 20 Jul 2001 18:55:09 +0200

James, 

> >
> >I would suggest to change this paragraph as following:
> >
> >"By its very nature, LMM MAY reintroduce triangle routing into Mobile IPv6
> >in that all traffic must go through the LMM agent. The LMM framework
> >SHOULD be designed in such a way that as to reduce the length of the
> >unwanted triangle leg."
> >
> >The reason for the change is that a network provider can avoid
> >re-introducing
> >triangle routing by designing its LMM domain with a single gateway and
> >deploying
> >one LMM agent per domain at the gateway. This is only one example to avoid
> >triangular routing. There might be other ways.
> >
> >
> 
> Actually, I'm not sure I follow. Even if there is one LMM agent
> per domain, there will still be triangle routing - one leg from the CN
> to the agent, another from the agent to the MN.
> 
	=> The MN can be aware of whether a CN is in the same 
	site or not (not only the same link but site). Based on this 
	awareness it can choose to send a BU directly to the CN
	or the LMM agent.

	Hesham